Results 1 to 2 of 2

Thread: Worng version of linux-headers in rolling distribution

  1. #1
    Join Date
    2016-Mar
    Posts
    1

    Worng version of linux-headers in rolling distribution

    hi all,
    I am trying to install virtual box guest additions into a newly installed Kali Linux guest which means I have to perform a kernel build. The build fails, I have managed to track the problem down to differences between the current kernel version and the linux-headers version:-

    Code:
    >uname -r
    4.3.0-kali-amd64
    
    >apt list linux-headers*
    Listing... Done
    linux-headers-4.4.0-kali1-all/kali-rolling 4.4.2-3kali1 amd64
    linux-headers-4.4.0-kali1-all-amd64/kali-rolling 4.4.2-3kali1 amd64
    linux-headers-4.4.0-kali1-amd64/kali-rolling,now 4.4.2-3kali1 amd64 [installed,automatic]
    linux-headers-4.4.0-kali1-common/kali-rolling,now 4.4.2-3kali1 amd64 [installed,automatic]
    linux-headers-4.4.0--amd64/kali-rolling,now 4.7+71+kali1 amd64 [installed,automatic]
    I am using the standard sources-list for the rolling distribution. I have run apt-get update & apt-get upgrade with no problems.
    Checking though the forum it appears that other users are having similar problems. So I think this is a problem with the rolling distribution.
    Is there a work around?

    Thanks in advance
    Iain Renton

  2. #2
    Join Date
    2016-Mar
    Posts
    3
    In order to upgrade to the new kernel you have to run
    apt-get dist-upgrade

Similar Threads

  1. Linux Headers problem-Kali Rolling
    By Jongla in forum TroubleShooting Archive
    Replies: 0
    Last Post: 2016-05-04, 05:53
  2. problem in installing "linux-headers-3.14-kali1-686-pae version 1.07"
    By MagicianMido32 in forum TroubleShooting Archive
    Replies: 1
    Last Post: 2016-01-29, 18:31

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •